For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assign locations to a device posture check policy

Replaces the current assignment.

put
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required

ID of the device posture check policy.

Body

Request body for assigning VPN locations to a posture check.

locationsinteger · int64[]Required
Responses
200

Locations assigned to the device posture check policy.

application/json
integer · int64[]Optional
put/api/v1/device-posture/{id}/locations
PUT /api/v1/device-posture/{id}/locations HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "locations": [
    1
  ]
}
[
  1
]

Last updated

Was this helpful?